DAFI - Data Assimilation and Field Inversion
============================================
Ensemble based data-assimilation and field inversion.

Developed at Dr. Heng Xiao's group at Virginia Tech: [Data-Enabled Computational Mechanics Laboratory at Virgnia Tech.](https://www.aoe.vt.edu/people/faculty/xiaoheng/personal-page.html)

Website: https://dafi.readthedocs.io

Cite: C. A. Michelén Ströfer, X-L. Zhang, H. Xiao. DAFI: An open-source framework for ensemble-based data assimilation and field inversion. *Communications in Computational Physics* 29, pp. 1583-1622, 2021. DOI: [10.4208/cicp.OA-2020-0178](https://doi.org/10.4208/cicp.OA-2020-0178). Also available at: [arxiv: 2012.02651](https://arxiv.org/abs/2012.02651).

List of publications using DAFI:

- C. A. Michelén Ströfer, X-L. Zhang, H. Xiao, O. Coutier-Delgosha. Enforcing boundary conditions on physical fields in Bayesian inversion. *Computer Methods in Applied Mechanics and Engineering* 367, 113097, 2020. DOI: [10.1016/j.cma.2020.113097](https://doi.org/10.1016/j.cma.2020.113097). Also available at: [arxiv: 1911.06683](https://arxiv.org/abs/1911.06683).

- X.-L. Zhang, C. A. Michelén Ströfer, H. Xiao. Regularization of ensemble Kalman methods for inverse problems. *Journal of Computational Physics*, 416, 109517, 2020. DOI: [10.1016/j.jcp.2020.109517](https://doi.org/10.1016/j.jcp.2020.109517). Also available at: [arxiv: 1910.01292](https://arxiv.org/abs/1910.01292).

- X.-L. Zhang, H. Xiao, Th. Gomez, O. Coutier-Delgosha. Evaluation of ensemble methods for quantifying uncertainties in steady-state CFD applications with small ensemble sizes. *Computers and Fluids*, 203, 104530, 2020. DOI: [10.1016/j.compfluid.2020.104530](https://doi.org/10.1016/j.compfluid.2020.104530). Also available at: [arxiv: 2004.05541](https://arxiv.org/abs/2004.05541).


Contributors:
-------------
* Carlos A. Michelén Ströfer
* Xinlei Zhang
* Jianxun Wang
* Rui Sun
* Jinlong Wu

Contact: Carlos A. Michelén Ströfer; Heng Xiao
